Index: TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/commands/ImportCoNLLUAnnotationsFromFile.java
===================================================================
--- TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/commands/ImportCoNLLUAnnotationsFromFile.java	(revision 3751)
+++ TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/commands/ImportCoNLLUAnnotationsFromFile.java	(revision 3752)
@@ -73,6 +73,9 @@
 	@Option(name = "normalize_word_ids", usage = "if set the CQP properties are replaced", widget = "Boolean", required = true, def = "false")
 	Boolean normalize_word_ids;
 	
+	@Option(name = "import_conll_comment_properties", usage = "if set sentid, newdocid and parid will be imported in CQP properties", widget = "Boolean", required = true, def = "false")
+	Boolean import_conll_comment_properties;
+	
 	@Option(name = "headPropertiesToProject", usage = "to create the headXYZ properties", widget = "StringArrayMultiple", metaVar="form	lemma	upos	xpos	feats	head	deprel	deps	misc", required = true, def = "deprel,upos")
 	String headPropertiesToProject;
 	
@@ -117,7 +120,7 @@
 				return null;
 			}
 			
-			return ImportCoNLLUAnnotationsFromDirectory.importAnnotationsFromCoNLLUFile(mainCorpus, conlluFile, propertiesPrefix, textId, normalize_word_ids, 
+			return ImportCoNLLUAnnotationsFromDirectory.importAnnotationsFromCoNLLUFile(mainCorpus, conlluFile, propertiesPrefix, textId, normalize_word_ids, import_conll_comment_properties,
 					new HashSet<String>(Arrays.asList(headPropertiesToProject.split(","))), 
 					new HashSet<String>(Arrays.asList(depsPropertiesToProject.split(","))),
 					new HashSet<String>(Arrays.asList(udPropertiesToImport.split(","))));
Index: TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/commands/ImportCoNLLUAnnotationsFromDirectory.java
===================================================================
--- TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/commands/ImportCoNLLUAnnotationsFromDirectory.java	(revision 3751)
+++ TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/commands/ImportCoNLLUAnnotationsFromDirectory.java	(revision 3752)
@@ -80,6 +80,9 @@
 	
 	@Option(name = "normalize_word_ids", usage = "if set the CQP properties are replaced", widget = "Boolean", required = true, def = "false")
 	Boolean normalize_word_ids;
+	
+	@Option(name = "import_conll_comment_properties", usage = "if set sentid, newdocid and parid will be imported in CQP properties", widget = "Boolean", required = true, def = "false")
+	Boolean import_conll_comment_properties;
 		
 	@Option(name = "headPropertiesToProject", usage = "to create the head-XYZ properties from the word head", widget = "StringArrayMultiple", metaVar="form	lemma	upos	xpos	feats	head	deprel	deps	misc", required = true, def = "deprel,upos")
 	String headPropertiesToProject;
@@ -114,8 +117,8 @@
 		MainCorpus mainCorpus = corpus.getMainCorpus();
 		
 		try {
-			HashSet<String> test = new HashSet<>();
-			for (String p : ImportCoNLLUAnnotations.UD_PROPERTY_NAMES) {
+			HashSet<String> test = new HashSet<>(); // will contains the CQP properties to update
+			for (String p : udPropertiesToImport.split(",")) { // test the properties to import
 				if (mainCorpus.getProperty(propertiesPrefix + p) != null) {
 					test.add(propertiesPrefix + p);
 				}
@@ -125,7 +128,7 @@
 				return null;
 			}
 			
-			return importAnnotations(mainCorpus, conlluDirectory, propertiesPrefix, normalize_word_ids, 
+			return importAnnotations(mainCorpus, conlluDirectory, propertiesPrefix, normalize_word_ids, import_conll_comment_properties, 
 					new HashSet<String>(Arrays.asList(headPropertiesToProject.split(","))), 
 					new HashSet<String>(Arrays.asList(depsPropertiesToProject.split(","))),
 					new HashSet<String>(Arrays.asList(udPropertiesToImport.split(","))));
@@ -151,7 +154,7 @@
 	 * @throws IOException
 	 * @throws XMLStreamException
 	 */
-	public static int importAnnotations(MainCorpus mainCorpus, File conlluDirectory, String propertiesPrefix, Boolean normalizeWordIds, 
+	public static int importAnnotations(MainCorpus mainCorpus, File conlluDirectory, String propertiesPrefix, Boolean normalizeWordIds, Boolean importCommentProperties,
 			Set<String> headPropertiesToProject, Set<String> depsPropertiesToProject, Set<String> udPropertiesToImport) throws IOException, CqiServerError, CqiClientException, XMLStreamException {
 		
 		Log.info(TXMCoreMessages.bind("Importing CONLL-U annotations of {0} in {1} using the ''{2}'' prefix...", conlluDirectory, mainCorpus, propertiesPrefix));
@@ -174,7 +177,7 @@
 		
 		for (File coonluFile : files) {
 			cpb.tick();
-			nWordsInserted += ImportCoNLLUAnnotations._importAnnotations(coonluFile, mainCorpus, propertiesPrefix, null, normalizeWordIds, headPropertiesToProject, depsPropertiesToProject, udPropertiesToImport);
+			nWordsInserted += ImportCoNLLUAnnotations._importAnnotations(coonluFile, mainCorpus, propertiesPrefix, null, normalizeWordIds, importCommentProperties, headPropertiesToProject, depsPropertiesToProject, udPropertiesToImport);
 			nTextProcessed++;
 		}
 		cpb.done();
@@ -216,12 +219,12 @@
 	 * @throws IOException
 	 * @throws XMLStreamException
 	 */
-	public static int importAnnotationsFromCoNLLUFile(MainCorpus mainCorpus, File conlluFile, String propertiesPrefix, String textId, Boolean normalize_word_ids, 
+	public static int importAnnotationsFromCoNLLUFile(MainCorpus mainCorpus, File conlluFile, String propertiesPrefix, String textId, Boolean normalize_word_ids, Boolean importCommentProperties,
 			Set<String> headPropertiesToProject, Set<String> depsPropertiesToProject, Set<String> udPropertiesToImport) throws IOException,
 			CqiServerError, CqiClientException, XMLStreamException {
 		Log.info(TXMCoreMessages.bind("Importing CONLL-u annotations of {0} in {1} using the ''{2}'' prefix...", conlluFile, mainCorpus, propertiesPrefix));
 		
-		int nWordsInserted = ImportCoNLLUAnnotations._importAnnotations(conlluFile, mainCorpus, propertiesPrefix, textId, normalize_word_ids, headPropertiesToProject, depsPropertiesToProject, udPropertiesToImport);
+		int nWordsInserted = ImportCoNLLUAnnotations._importAnnotations(conlluFile, mainCorpus, propertiesPrefix, textId, normalize_word_ids, importCommentProperties, headPropertiesToProject, depsPropertiesToProject, udPropertiesToImport);
 		
 		if (nWordsInserted == 0) {
 			Log.warning("** No annotation imported. Aborting.");
Index: TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/function/ImportCoNLLUAnnotations.java
===================================================================
--- TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/function/ImportCoNLLUAnnotations.java	(revision 3751)
+++ TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/function/ImportCoNLLUAnnotations.java	(revision 3752)
@@ -24,7 +24,13 @@
 	
 	public static final String[] UD_PROPERTY_NAMES = { "id", "form", "lemma", "upos", "xpos", "feats", "head", "deprel", "deps", "misc" };
 	
-	public static int _importAnnotations(File coonluFile, MainCorpus mainCorpus, String propertiesPrefix, String textId, Boolean normalize_word_ids, Set<String> headPropertiesToProject, Set<String> depsPropertiesToProject, Set<String> udPropertiesToImport) throws IOException, XMLStreamException {
+	public static int _importAnnotations(File coonluFile, MainCorpus mainCorpus, 
+			String propertiesPrefix, String textId, 
+			Boolean normalize_word_ids, 
+			Boolean importCommentProperties,
+			Set<String> headPropertiesToProject, 
+			Set<String> depsPropertiesToProject, 
+			Set<String> udPropertiesToImport) throws IOException, XMLStreamException {
 		
 		if (textId == null || textId.length() == 0) { // no text id provided, using the conllu file name
 			textId = coonluFile.getName().substring(0, coonluFile.getName().length() - 7);
@@ -118,27 +124,27 @@
 			}
 			
 			if (sent_id != null) {
-				properties.put("#"+propertiesPrefix+"sentid", sent_id);
+				if (importCommentProperties) properties.put("#"+propertiesPrefix+"sentid", sent_id);
 				sent_id = ""; // reset value for next sentence
 			}
 			else {
-				properties.put("#"+propertiesPrefix+"sentid", "");
+				if (importCommentProperties) properties.put("#"+propertiesPrefix+"sentid", "");
 			}
 			
 			if (newdoc_id != null) {
-				properties.put("#"+propertiesPrefix+"newdocid", newdoc_id);
+				if (importCommentProperties) properties.put("#"+propertiesPrefix+"newdocid", newdoc_id);
 				newdoc_id = null; // reset value for next sentence
 			}
 			else {
-				properties.put("#"+propertiesPrefix+"newdocid", "");
+				if (importCommentProperties) properties.put("#"+propertiesPrefix+"newdocid", "");
 			}
 			
 			if (newpar_id != null) {
-				properties.put("#"+propertiesPrefix+"newparid", newpar_id);
+				if (importCommentProperties) properties.put("#"+propertiesPrefix+"newparid", newpar_id);
 				newpar_id = null; // reset value for next sentence
 			}
 			else {
-				properties.put("#"+propertiesPrefix+"newparid", "");
+				if (importCommentProperties) properties.put("#"+propertiesPrefix+"newparid", "");
 			}
 			
 			if (wId == null) {
